window.FX_Mobile_Rules = {
  "validationRules" : {
    "FX5__Ticket_Item__c" : {
      "TicketItemDateValidation1" : {
        "fullName" : "TicketItemDateValidation1",
        "errorConditionFormula" : "(FX5__Date_Start__c) > (FX5__Date_End__c)",
        "errorDisplayField" : "FX5__Date_End__c",
        "errorMessage" : "The end date must follow the start date."
      },
      "TicketItemDateValidation2" : {
        "fullName" : "TicketItemDateValidation2",
        "errorConditionFormula" : "AND(NOT(ISBLANK( FX5__Date_End__c )), ISBLANK(FX5__Date_Start__c))",
        "errorDisplayField" : "FX5__Date_End__c",
        "errorMessage" : "You must enter a start date if you enter an end date."
      },
      "TicketItemDateValidation3" : {
        "fullName" : "TicketItemDateValidation3",
        "errorConditionFormula" : "AND(NOT(ISBLANK( FX5__Date_Start__c )), ISBLANK(FX5__Date_End__c))",
        "errorDisplayField" : "FX5__Date_Start__c",
        "errorMessage" : "You must enter an end date if you enter a start date."
      },
	  "Min_Max_Qty_Enforcement" : {
		"fullName" : "Min_Max_Qty_Enforcement",
		"errorConditionFormula" : "( ( (FX5__Input_Qty__c  < NULLVALUE(FX5__PBI_Minimum_Quantity__c, 0)) && NOT(ISNULL(FX5__PBI_Minimum_Quantity__c))) || ( (FX5__Input_Qty__c  > NULLVALUE( FX5__PBI_Maximum_Quantity__c, 0)) && NOT(ISNULL(FX5__PBI_Maximum_Quantity__c))) )",
		"errorDisplayField" : "Qty__c", 
		"errorMessage" : "The quantity must be greater than or equal to the minimum quantity and less than or equal to the maximum quantity."
	  }
    },

    "FX5__Job__c" : {
	  "QuoteValidation1": {
        "fullName": "QuoteValidation1",
        "errorConditionFormula": "!ISBLANK(FX5__Quote2__c) && ( ISCHANGED ( FX5__CustomerAccount__c ) || ISCHANGED ( FX5__Price_Book__c ) )",
        "errorMessage": "You cannot change the customer or price book for jobs created from quotes."
      },
	  "JobDateValidation1" : {
        "fullName" : "JobValidation1",
        "errorConditionFormula" : "(FX5__Projected_Start_Date__c) > (FX5__Projected_End_Date__c)",
        "errorDisplayField" : "FX5__Projected_Start_Date__c",
        "errorMessage" : "The projected end date must follow the projected start date."
      },
      "PriceBookValidation1": {
        "fullName": "PriceBookValidation1",
        "errorConditionFormula": "(FX5__Price_Book__r.FX5__Account__c <> FX5__CustomerAccount__c) && NOT(ISBLANK(FX5__Price_Book__r.FX5__Account__c)) && NOT(ISBLANK(FX5__CustomerAccount__c))",
        "errorDisplayField": "FX5__Price_Book__c",
        "errorMessage": "You must select the customer's price book."
      }	  
    },

    "FX5__Ticket__c" : {
      "TicketValidation1" : {
        "fullName" : "TicketValidation1",
        "errorConditionFormula" : "(FX5__Work_Start_Date__c) > (FX5__Work_End_Date__c)",
        "errorDisplayField" : "FX5__Work_End_Date__c",
        "errorMessage" : "The work end date must follow the work start date."
      },
      "TicketValidation2" : {
        "fullName" : "TicketValidation2",
        "errorConditionFormula" : "(FX5__Work_Start_Date__c) < (FX5__Job__r.FX5__Actual_Start_Date__c)",
        "errorDisplayField" : "FX5__Work_Start_Date__c",
        "errorMessage" : "The work start date must follow the actual start date of the job."
      }  
    }
  }
}; 